The calls to calc_block_sizes() in kcopyd_write_pages() and kcopyd_copy() are
redundant, since kcopyd_io() already calls calc_block_sizes().

--- diff/drivers/md/kcopyd.c	2003-01-10 10:20:14.000000000 +0000
+++ source/drivers/md/kcopyd.c	2003-01-10 10:20:18.000000000 +0000
@@ -716,7 +716,6 @@
 
 	memcpy(&job->disk, &info->to, sizeof(job->disk));
 	job->offset = offset;
-	calc_block_sizes(job);
 	job->callback = page_write_complete;
 	job->context = info;
 
@@ -757,7 +756,6 @@
 	memcpy(&job->disk, from, sizeof(*from));
 
 	job->offset = 0;
-	calc_block_sizes(job);
 	job->callback = copy_write;
 	job->context = info;
 
